Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Problemas instalación Mandriva
#1
Hola, soy nuevo con Pandora y estoy teniendo algunos problemas con la instalación.
Me he descargado los scripts y me aparece el siguiente mensaje:

This Perl hasn't been configured and built properly for the threads
module to work. (The 'useithreads' configuration option hasn't been used.)

Having threads support requires all of Perl and all of the XS modules in
the Perl installation to be rebuilt, it is not just a question of adding
the threads module. (In other words, threaded and non-threaded Perls
are binary incompatible.)

If you want to the use the threads module, please contact the people
who built your Perl.

Cannot continue, aborting.
BEGIN failed--compilation aborted at /usr/lib/perl5/5.8.8/i386-linux/threads.pm line 28.
Compilation failed in require at ./pandora_server.pl line 31.
BEGIN failed--compilation aborted at ./pandora_server.pl line 31.


Creo que es problema del Perl, pero estoy muy seguro ...¿Podeis ayudarme?

He probado también a bajarme el rpm y me fallan las dependencias de

error: Failed dependencies:
perl-Net-Ping is needed by pandora_server-1.2.0-7.1.noarch
perl-Net-Ping-External is needed by pandora_server-1.2.0-7.1.noarch


¿Podeis indicarme dónde puedo descargarme estos paquetes?


Muchas Gracias por todo.

Un Saludo
 Reply
#2
Quote:Hola, soy nuevo con Pandora y estoy teniendo algunos problemas con la instalación.
Me he descargado los scripts y me aparece el siguiente mensaje:

This Perl hasn't been configured and built properly for the threads
module to work. (The 'useithreads' configuration option hasn't been used.)

Having threads support requires all of Perl and all of the XS modules in
the Perl installation to be rebuilt, it is not just a question of adding
the threads module. (In other words, threaded and non-threaded Perls
are binary incompatible.)

If you want to the use the threads module, please contact the people
who built your Perl.

Cannot continue, aborting.
BEGIN failed--compilation aborted at /usr/lib/perl5/5.8.8/i386-linux/threads.pm line 28.
Compilation failed in require at ./pandora_server.pl line 31.
BEGIN failed--compilation aborted at ./pandora_server.pl line 31.


Creo que es problema del Perl, pero estoy muy seguro ...¿Podeis ayudarme?

He probado también a bajarme el rpm y me fallan las dependencias de

error: Failed dependencies:
perl-Net-Ping is needed by pandora_server-1.2.0-7.1.noarch
perl-Net-Ping-External is needed by pandora_server-1.2.0-7.1.noarch


¿Podeis indicarme dónde puedo descargarme estos paquetes?


Muchas Gracias por todo.

Un Saludo

Hola, el problema aqui es que Mandriva por defecto no trae un Perl que soporte Multithread (multihilo) como el resto de distros. Otro usuario de pandora lo reporto hace tiempo y en el foro encontrarás mas o menos como lo arregló. Es un tema algo complicado ya que tienes que recompilar todo el core de perl para soportar Threads. Yo te recomendaria, si no controlas mucho de Perl, que te pases a otra distro, si quieres Fedora o OpenSuse, que tambien están basadas en RPM.

Suerte.
 Reply
#3
Gracias Nil, no se si esa es la solución más elegante, pero seguro que es la más práctica, probaremos con OpenSuse, a ver si hay suerte.
 Reply
#4
Hombre, es la solución más rápida. Que te compiles el core del perl enterito y a riesgo de cometer errores...seguramente te dé más quebraderos de cabeza en un futuro, que alegrías.

Un saludo Smile
 Reply


Users browsing this thread: 1 Guest(s)


(c) 2006-2018 Artica Soluciones Tecnológicas. Contents of this wiki are under Create Common Attribution v3 licence. | pandorafms.com | pandorafms.org

Theme © MyBB Themes